module Language.TLT.TltSyntax where

import Language.XPath.HXTAliases

data TLT = Nop
         | Comp TLT TLT
         | Choice TLT TLT
         | Try TLT
         | Many TLT
         | All TLT
         | Once TLT
         | Everywhere TLT
         | Outermost TLT
         | At String TLT
         | When String TLT
         | Hoist
         | Plunge String
         | Rename String
         | Erase
         | Select XPath
  deriving Show